package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAAccessProfile.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.XAAAccessProfileServiceSearchResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/search/xaa/access_profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appIds": [
"<string>"
],
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"xaaResourceServerIds": [
"<string>"
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/search/xaa/access_profiles"
payload = {
"appIds": ["<string>"],
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [
{
"appId": "<string>",
"id": "<string>"
}
],
"xaaResourceServerIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appIds: ['<string>'],
pageSize: 123,
pageToken: '<string>',
query: '<string>',
refs: [{appId: '<string>', id: '<string>'}],
xaaResourceServerIds: ['<string>']
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/search/xaa/access_profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"appEntitlementId": "<string>",
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"scopeCount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"xaaResourceServerId": "<string>"
}
],
"nextPageToken": "<string>"
}Search
Search access profiles across the tenant, filtered by application, resource server, or text query, or fetch a specific set by ref.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.XAAAccessProfile.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.XAAAccessProfileServiceSearchResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
XAAAccessProfileServiceSearchRequest searches access profiles with filters.
Optional filter by applications. Empty matches any application.
Page size (max 100).
Page token for pagination.
Optional text query matched against display_name.
Optional: fetch a specific set of access profiles by ref (used by websocket notify to re-fetch individual rows).
Show child attributes
Show child attributes
Optional filter by resource servers. Empty matches any resource server.
Response
XAAAccessProfileServiceSearchResponse returns matching access profiles.
Was this page helpful?